# 数据中台接口文档

实体类 Example

| 字段 | 类型   |
| ---- | ------ |
| id   | int    |
| name | string |
| age  | int    |

#### 查询

​	[通用查询](http://git.sagacloud.cn/sagacloud/paas-doc/src/e172ee3ddd372d8f3b0f205cf337f85d3f6dadd4/通用查询.md)

#### 新增

请求地址

```json
POST: /example/create
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回内容

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

#### 更新

请求地址

```json
POST: /example/update
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回内容

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

#### 删除

请求地址

```json
POST: /example/delete
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回内容

```json
{
    "result": "success",
    "message": null,
    "data": null
}
```



### 系统接口路径

condition 为 query，create，update，delete

### 报警系统

```json
报警条目
	POST:/alarm/item/{condition}

报警记录
	POST:/alarm/record/{condition}
```

### 数据字典

```json
数据字典类型
	POST:/dt/type/{condition}
	
数据字典数据
	POST:/dt/data/{condition}
	
数据字典数据映射
 	POST:/dt/data/map
```

### 知识库

```json
知识库类型
	POST:/kl/type
	
知识库数据
 	POST:/kl/data
```

### 任务调度

```json
任务配置
	POST:/task/cfg/{condition}
	
任务执行记录	
	POST:/task/record/{condition}
```

#### 物理世界

```json
POST:/app/class/{condition}
POST:/app/funcid/{condition}
POST:/class/alias/{condition}
POST:/class/{condition}
POST:/funcid/alias/{condition}
POST:/funcid/{condition}
POST:/graph/{condition}
POST:/graph/instance/{condition}
POST:/object/{condition}
POST:/relation/{condition}
POST:/rel/{condition}
POST:/schema/class/{condition}
POST:/schema/{condition}
POST:/schema/funcid/{condition}
POST:/schema/project/{condition}
```

### 组织人员权限

```json
集团
  POST:/group/{condition}
  
公司
  POST:/company/{condition}
  
部门
  POST:/dept/{condition}
  
岗位
  POST:/job/{condition}

人员信息
  POST:/person/{condition}

账号
  POST:/account/{condition}

应用
  POST:/application/{condition}

功能
  POST:/function/{condition}

产品线
  POST:/product/{condition}

公司下的项目数据权限表
  POST:/auth/company/prj/{condition}

部门的项目数据权限表
  POST:/auth/dept/prj/{condition}

项目数据权限
  POST:/auth/prj/data/{condition}

岗位&部门关系表
  POST:/cfg/dept/job/{condition}

集团配置应用
  POST:/cfg/group/app/{condition}

集团配置功能
  POST:/cfg/group/func/{condition}

岗位配置应用
  POST:/cfg/job/app/{condition}

岗位配置功能
  POST:/cfg/job/func/{condition}

人员配置公司管理权限
  POST:/cfg/person/company/{condition}

人员与部门关系表
  POST:/cfg/person/dept/{condition}

人员与岗位关系表
  POST:/cfg/person/job/{condition}

人员配置项目数据权限
  POST:/cfg/person/prj/{condition}

项目配置应用
  POST:/cfg/prj/app/{condition}

项目配置功能
  POST:/cfg/prj/func/{condition}

部门层级结构模版
  POST:/dept/lv/template/{condition}

部门模板
  POST:/dept/template/{condition}

功能层级
  POST:/function/lv/{condition}

岗位模版与部门模版关系表
  POST:/job/dept/template/{condition}

岗位模版
  POST:/job/template/{condition}

项目下的公司数据表
  POST:/rel/company/prj
```













